f = lambda x: 24*(2./sqrt(x[0]**2+x[1]**2)**14
              -1./sqrt(x[0]**2+x[1]**2)**8)*x

def stoermer_verlet(x0, v0, dt, T):
    x_sv = []
    x_sv.append(x0)
    x1 = x0 + dt*v0 + 0.5*dt**2*f(x0)
    x_sv.append(x1)
    for i in range(int(T/dt)):
        x_sv.append( -x_sv[-2]+2*x_sv[-1]
                     +dt**2*f(x_sv[-1]) )        
    
    return asarray(x_sv)